加载中…
个人资料
mryqu
mryqu
  • 博客等级:
  • 博客积分:0
  • 博客访问:821,740
  • 关注人气:70
  • 获赠金笔:0支
  • 赠出金笔:0支
  • 荣誉徽章:
相关博文
推荐博文
正文 字体大小:

在Ubuntu中强制Apt-get使用IPv4或IPv6

(2015-05-18 06:14:43)
标签:

ubuntu

debian

apt-get

ipv4

ipv6

分类: Devops.Container.Tool

快速命令行选项

如果只想一次使apt-get使用IPv4或IPv6,使用下列步骤。该功能尽在apt-get0.9.7.9~exp1版本后可用。首先,通过如下命令确认apt-get版本高于0.9.7.9~exp1


apt-get --version

结果近似于:


apt 1.0.1ubuntu2 for amd64 compiled on Oct 28 2014 20:55:14

版本核实后,可以通过如下命令强制使用IPv4:


apt-get -o Acquire::ForceIPv4=true update

或IPv6:


apt-get -o Acquire::ForceIPv6=true update

这会将sources.list中的URL仅解析成IPv4并更新仓库。

持久化的选项

为了让设置持久化,在/etc/apt/apt.conf.d/下创建99force-ipv4文件。


sudoedit /etc/apt/apt.conf.d/99force-ipv4

在该文件放入如下内容:


Acquire::ForceIPv4 "true";

保存文件即可。如果相反想强制使用IPv6,将文件名及其内容中的4改成6即可。

原文: https://www.vultr.com/docs/force-apt-get-to-ipv4-or-ipv6-on-ubuntu-or-debian

0

阅读 评论 收藏 转载 喜欢 打印举报/Report
  • 评论加载中,请稍候...
发评论

    发评论

    以上网友发言只代表其个人观点,不代表新浪网的观点或立场。

      

    新浪BLOG意见反馈留言板 电话:4000520066 提示音后按1键(按当地市话标准计费) 欢迎批评指正

    新浪简介 | About Sina | 广告服务 | 联系我们 | 招聘信息 | 网站律师 | SINA English | 会员注册 | 产品答疑

    新浪公司 版权所有